Name:		msp430flasher
Version:	1.3.16
Release:	3%{?dist}
Summary:	Tool for programming MSP430 MCUs via FET programmer, eZ430 via JTAG, or SBW
Group:		Development/Debuggers
License:	BSD-3-Clause
URL:		http://software-dl.ti.com/msp430/msp430_public_sw/mcu/msp430/MSP430Flasher/latest/index_FDS.html

# Toolchain isn't built for armhfp or s390x, so we exclude it here as well
# https://bugzilla.redhat.com/show_bug.cgi?id=1350884#c59
# https://bugzilla.redhat.com/show_bug.cgi?id=1350884#c64
ExcludeArch:	%{arm} %{s390x}

# Source was generated by running the installer and compressing the 'Source' directory (with .o files removed)
Source0:	msp430flasher-%{version}.tar.xz
BuildRequires:	gcc-c++
BuildRequires:	mspds >= 3.11.0.1

%description
MSP430 Flasher is an open-source, shell-based interface for programming MSP430
devices through a FET programmer or eZ430 via JTAG or Spy Bi-Wire (SBW).
MSP430 Flasher can be used to download binary files (.txt/.hex) files directly
to the MSP430 Memory without the need of an IDE like CCS or IAR. It can also be
used to extract firmware directly from a device, blow the JTAG fuse, and set
hardware breakpoints.

%prep
%autosetup -c %{name}

%build
make %{?_smp_mflags} CFLAGS="%{optflags} -std=c++0x -I./Inc" LDFLAGS="%{optflags} -L../ -lmsp430 -lpthread"

%install
mkdir -p %{buildroot}%{_bindir}
cp -a ../MSP430Flasher %{buildroot}%{_bindir}

%files
%{_bindir}/MSP430Flasher

%changelog
* Fri Sep 15 2023 Brandon Nielsen <nielsenb@jetfuse.net> - 1.3.16-3
- Change to SPDX license field

* Wed Aug 11 2021 Brandon Nielsen <nielsenb@jetfuse.net> - 1.3.16-2
- Add dist tag
- Add -lpthread to build flags
- Add ExcludeArch: armhfp s390x as msp43-elf-toolchain excludes them

* Mon Jan 15 2018 Brandon Nielsen <nielsenb@jetfuse.net> - 1.3.16-1
- Update to 1.3.16
- Update to MSPDS 3.11.0.1
- Specfile cleanup

* Sun Oct 29 2017 Brandon Nielsen <nielsenb@jetfuse.net> - 1.3.15-1
- Update to 1.3.15

* Fri May 05 2017 Brandon Nielsen <nielsenb@jetfuse.net> - 1.3.12-1
- Update to 1.3.12

* Fri Jun 24 2016 Brandon Nielsen <nielsenb@jetfuse.net> - 1.3.8-2
- Explicitly require gcc-c++ as per Fedora packaging guidelines

* Thu Feb 25 2016 Brandon Nielsen <nielsenb@jetfuse.net> 1.3.8
- Update to 1.3.8

* Tue Oct 27 2015 Brandon Nielsen <nielsenb@jetfuse.net> 1.3.7
- Update to 1.3.7

* Fri Aug 14 2015 Brandon Nielsen <nielsenb@jetfuse.net> 1.3.6
- Update to 1.3.6

* Wed Jul 29 2015 Brandon Nielsen <nielsenb@jetfuse.net> 1.3.5
- Update to 1.3.5

* Mon Feb 02 2015 Brandon Nielsen <nielsenb@jetfuse.net> 1.3.3
- Initial specfile
